import {AfterViewInit, Component, ElementRef, OnInit, ViewChild} from '@angular/core';
import {TabsService} from "../../pages/tabs/tabs.service";
import {AppGlobal} from "../../service/http.service";
import {Slides} from "ionic-angular";
// import {StuffDetailPage} from "../../pages/home-pages/stuff-detail/stuff-detail";
// import {NavController} from "ionic-angular";

@Component({
  selector: 'slide',
  templateUrl: 'slide.html'
})
export class SlideComponent implements AfterViewInit{
  @ViewChild(Slides) slides:Slides;

  picture: string = AppGlobal.domain + '/wisdomgroup';
  slideTitle;
  slidersItems = [];

  constructor(private tabsSer:TabsService,
              // private navCtrl:NavController
  ) {
  }

  ngAfterViewInit(){
      this.getBanner();
  }

  //获取轮播图
  getBanner() {
    const data = {
      obj: {
        resourceType: 2,
        isRecommend: 1,
      }
    }
    this.tabsSer.stuffPage(data).subscribe(
        (res) => {
          this.slidersItems = res.data;
          this.slidersItems.forEach(e => {
            if (e.title.length > 16) {
              e.title = e.title.substr(0, 14) + '...';
            }
            if (e.attachments.length > 0) {
              e.imgUrl = e.attachments[0].path;
            }
          })
        }
    )
  }

  //轮播图变动
  slideChange(e) {
    let index = this.slides.getActiveIndex();
    if (index == this.slidersItems.length + 1) index = 1
    this.slideTitle = this.slidersItems[index - 1].title;
  }

  //查看文章详情
  goToDetail(item) {
    // this.navCtrl.push(StuffDetailPage, {
    //   id: item.id
    // })
  }
}
