import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {CommonService} from "../../../provide/common.service";
import {TabsService} from "../../tabs/tabs.service";
import {Storage} from "@ionic/storage";
import {Camera,CameraOptions} from "@ionic-native/camera";

@IonicPage()
@Component({
  selector: 'page-publish',
  templateUrl: 'publish.html',
})
export class PublishPage {

  //1党规党章,2系列讲话,3中央精神,4本市部署,5通知公告,6党建动态,7工作提示, 8党务参考,9廉政格言,10纪检提示,11风险排查,12警示教育,13支部活动,14党建联建,15结对帮扶
  plateList = [
    {name:'党规党章',id:'1'},{name:'系列讲话',id:'2'},{name:'中央精神',id:'3'},{name:'本市部署',id:'4'},{name:'通知公告',id:'5'},
    {name:'党建动态',id:'6'},{name:'工作提示',id:'7'},{name:'党务参考',id:'8'},{name:'廉政格言',id:'9'},{name:'纪检提示',id:'10'},
    {name:'风险排查',id:'11'},{name:'警示教育',id:'12'},{name:'支部活动',id:'13'},{name:'党建联建',id:'14'},{name:'结对帮扶',id:'15'},
  ];
  obj = {
    type:'1',
    title:'',
    content:'',
    publishRange:''
  };
  group;  //用户组
  userid;  //当前登录人的id
  file;  // 文件
  constructor(public navCtrl: NavController, public navParams: NavParams,public storage:Storage,
              public camera:Camera,
              public commonSer:CommonService,public tabSer:TabsService) {
  }

  ionViewDidLoad() {
    this.storage.get("userLoginInfo").then((value) => {
      this.userid = value.userid;
    })
    //获取用户组
    this.tabSer.getGroup().subscribe(
        (res)=>{
            this.group = res.list;
        }
    )
  }

  //选择图片
  selectPicture(){
    const options: CameraOptions = {
      quality: 30,
      destinationType: this.camera.DestinationType.FILE_URI,
      encodingType: this.camera.EncodingType.JPEG,
      mediaType: this.camera.MediaType.PICTURE,
      sourceType: this.camera.PictureSourceType.CAMERA,
    }
    this.camera.getPicture(options).then((imagedata)=>{
      let base64Image = 'data:image/jpeg;base64,' + imagedata;
      alert(base64Image);
    })
  }

  getFile(e){
    console.log(this.file)
    console.log(e)
  }

  //发布
  publish(){
    const data = {
      title:this.obj.title,
      plateType:this.obj.type,
      source:'上海市委组织部',
      publishStatus:'1',
      content:this.obj.content,
      publishRange:this.obj.publishRange,
      submitter:this.userid,
      stuffType:1
    }
    this.commonSer.alert('确定提交审核当前内容?',()=>{
      this.tabSer.stuffSave(data).subscribe(
          (res)=>{
            this.commonSer.toast('已提交审核')
            setTimeout(()=>{
              this.navCtrl.pop()
            },1000)
          }
      )

    })
  }

}
