import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {TabsService} from "../../tabs/tabs.service";
import {StuffDetailPage} from "../stuff-detail/stuff-detail";
import {AppGlobal} from "../../../service/http.service";


@IonicPage()
@Component({
  selector: 'page-search-new',
  templateUrl: 'search-new.html',
})
export class SearchNewPage {

  picture: string = AppGlobal.domain + '/wisdomgroup';
  newList = [];
  searchObj = {
    title:'',
    stuffType:null,   //类型：(1图文,2视频)
    order:'desc',  //asc升序  desc  降序
  }
  constructor(public navCtrl: NavController, public navParams: NavParams,
              public tabs:TabsService) {
  }

  ionViewDidEnter() {
   this.search();
  }

  //改变时间
  changeOrder(){
    this.searchObj.order = this.searchObj.order == 'desc'?'asc':'desc';
    this.search();
  }

  //查询列表
  search(){
    const data = {
      pageNum:'1',
      pageCount:'100',
      obj:this.searchObj,
    }
    this.tabs.stuffPage(data).subscribe(
        (res)=>{
          this.newList = res.data;
          this.newList.forEach(e => {
            if (e.attachments.length > 0) {
              e.imgUrl = e.attachments[0].path;
            }
          })
        }
    )
  }

  //查看详情
  goToDetail(item){
    this.navCtrl.push(StuffDetailPage,{id:item.id});
  }

}
